Subject: bug#48337: Fwd: 28.0.50; Emacs crashing randomly (possibly minibuffer activity related)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 May 2021 19:05:19 +0300

> Date: Fri, 14 May 2021 15:20:11 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, Alan Mackenzie <[email-masked]>, 
>     [email-masked], [email-masked]
> 
> As I said to Eli a week ago or so: "So far I haven't seen a single 
> concrete example that demonstrates that this feature is either (a) 
> necessary in some circumstances (as was bidirectional editing support), or 
> (b) not necessary but at least useful in some circumstances."  Does anyone 
> have such a concrete example?  I'm all ears.
> 
> It seems to me that the only benefit of this feature is a slightly 
> different minibuffer behavior, that some users may perhaps find more 
> convenient, as would be, for example, the possibility to display the 
> minibuffer at the top of the frames.  Adding such a feature should not 
> make Emacs 28 backward-incompatible in any way.
> 
> This experiment started in a bad way: its purpose was to fix a supposed 
> bug, which, as it turned out, was not a bug at all, but the result of a 
> misunderstanding, namely that isearch uses the echo area and not the 
> minibuffer.  From then on, more and more changes were added to Emacs.

We are a diverse group of people with different interests in Emacs
development, each one scratching the itches that we have, which aren't
necessarily itches for others.  We should therefore all of us respect
the interests and motivations of others, even if they scratch itches
that don't look like itches to us.

In this case, you have repeatedly stated your opposition to this
change, and nothing positive can be expected from expressing that
opposition one more time.  Can you please calm down and let Alan fix
whatever breakage he caused?